<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy Map3D.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_map3_d_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">Map3D.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_map3_d_8hpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef MAP3D_HPP</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define MAP3D_HPP</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &quot;<a class="code" href="_viewer_8hpp.html">Viewer.hpp</a>&quot;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &quot;<a class="code" href="_framed_widget_8hpp.html">FramedWidget.hpp</a>&quot;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="class_map3_d.html">   22</a></span><span class="keyword">class </span><a class="code hl_class" href="class_map3_d.html">Map3D</a> : <span class="keyword">public</span> <a class="code hl_class" href="class_framed_widget.html">FramedWidget</a></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>{</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">   28</a></span>    <a class="code hl_class" href="class_viewer.html">Viewer</a> *<a class="code hl_variable" href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">map</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="class_map3_d.html#ac560249dab7296b25ef7ce2a25902d55">   32</a></span>    QWidget *<a class="code hl_variable" href="class_map3_d.html#ac560249dab7296b25ef7ce2a25902d55">map_container</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="class_map3_d.html#a9139711c985ad185f92c016c48620657">   36</a></span>    QVBoxLayout *<a class="code hl_variable" href="class_map3_d.html#a9139711c985ad185f92c016c48620657">map_container_layout</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_map3_d.html#a040d312358c64b62f6e02e8c01872fe3">setStoredWidget</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_map3_d.html#aa23ceb64ab792b7873d80b070c20f066">setVLayout</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <a class="code hl_class" href="class_map3_d.html">Map3D</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *map_title, QWidget *parent = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="class_map3_d.html#aaf51a6397305a161ddffa25e06eaa18f">   68</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_map3_d.html#aaf51a6397305a161ddffa25e06eaa18f">moveRobot</a>(<span class="keywordtype">int</span> left, <span class="keywordtype">int</span> right, <span class="keywordtype">int</span> time_interval) { <a class="code hl_variable" href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">map</a>-&gt;<a class="code hl_function" href="class_viewer.html#a37a4c731034836effceb714e30d12297">moveRobot</a>(left, right, time_interval); }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="class_map3_d.html#af1db43c016f502a56149a6fe3acdd365">   76</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_map3_d.html#af1db43c016f502a56149a6fe3acdd365">passMeasure</a>(<span class="keywordtype">int</span> new_measure, <span class="keywordtype">int</span> index) { <a class="code hl_variable" href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">map</a>-&gt;<a class="code hl_function" href="class_viewer.html#a6a232130dc19f5204dc8c30a11fe9c56">passMeasure</a>(new_measure, index); }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="class_map3_d.html#a80745e5f188844063a60711d1c28ceb1">   83</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_map3_d.html#a80745e5f188844063a60711d1c28ceb1">refresh</a>() { <a class="code hl_variable" href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">map</a>-&gt;update(); }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="class_map3_d.html#ad29147f780b915a93ea20e2219ebde1d">   91</a></span>    <span class="keywordtype">double</span> <a class="code hl_function" href="class_map3_d.html#ad29147f780b915a93ea20e2219ebde1d">returnRobotDistance</a>() { <span class="keywordflow">return</span> <a class="code hl_variable" href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">map</a>-&gt;<a class="code hl_function" href="class_viewer.html#a2996edb66665ac972e036ee6b55608da">returnRobotDistance</a>(); }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>};</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="preprocessor">#endif </span><span class="comment">// MAP3D_HPP</span></div>
<div class="ttc" id="a_framed_widget_8hpp_html"><div class="ttname"><a href="_framed_widget_8hpp.html">FramedWidget.hpp</a></div><div class="ttdoc">Definicja klasy FramedWidget.</div></div>
<div class="ttc" id="a_viewer_8hpp_html"><div class="ttname"><a href="_viewer_8hpp.html">Viewer.hpp</a></div><div class="ttdoc">Definicja klasy Viewer.</div></div>
<div class="ttc" id="aclass_framed_widget_html"><div class="ttname"><a href="class_framed_widget.html">FramedWidget</a></div><div class="ttdoc">Klasa bazowa głównych widgetów okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00025">FramedWidget.hpp:26</a></div></div>
<div class="ttc" id="aclass_map3_d_html"><div class="ttname"><a href="class_map3_d.html">Map3D</a></div><div class="ttdoc">Opakowanie okna z obiektami trójwymiarowymi.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00022">Map3D.hpp:23</a></div></div>
<div class="ttc" id="aclass_map3_d_html_a040d312358c64b62f6e02e8c01872fe3"><div class="ttname"><a href="class_map3_d.html#a040d312358c64b62f6e02e8c01872fe3">Map3D::setStoredWidget</a></div><div class="ttdeci">void setStoredWidget() override</div><div class="ttdoc">Inicjalizuje widgety pochodne.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8cpp_source.html#l00037">Map3D.cpp:37</a></div></div>
<div class="ttc" id="aclass_map3_d_html_a5ade1d2cb83558dd53329fb1eca1ec20"><div class="ttname"><a href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">Map3D::map</a></div><div class="ttdeci">Viewer * map</div><div class="ttdoc">Okno do wyświetlania grafiki 3D.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00028">Map3D.hpp:28</a></div></div>
<div class="ttc" id="aclass_map3_d_html_a80745e5f188844063a60711d1c28ceb1"><div class="ttname"><a href="class_map3_d.html#a80745e5f188844063a60711d1c28ceb1">Map3D::refresh</a></div><div class="ttdeci">void refresh()</div><div class="ttdoc">Odświeża widok w oknie grafiki.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00083">Map3D.hpp:83</a></div></div>
<div class="ttc" id="aclass_map3_d_html_a9139711c985ad185f92c016c48620657"><div class="ttname"><a href="class_map3_d.html#a9139711c985ad185f92c016c48620657">Map3D::map_container_layout</a></div><div class="ttdeci">QVBoxLayout * map_container_layout</div><div class="ttdoc">Zarządca wertykalny.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00036">Map3D.hpp:36</a></div></div>
<div class="ttc" id="aclass_map3_d_html_aa23ceb64ab792b7873d80b070c20f066"><div class="ttname"><a href="class_map3_d.html#aa23ceb64ab792b7873d80b070c20f066">Map3D::setVLayout</a></div><div class="ttdeci">void setVLayout() override</div><div class="ttdoc">Ustawia widget'y pochodne w pionie.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8cpp_source.html#l00048">Map3D.cpp:48</a></div></div>
<div class="ttc" id="aclass_map3_d_html_aaf51a6397305a161ddffa25e06eaa18f"><div class="ttname"><a href="class_map3_d.html#aaf51a6397305a161ddffa25e06eaa18f">Map3D::moveRobot</a></div><div class="ttdeci">void moveRobot(int left, int right, int time_interval)</div><div class="ttdoc">Przekazuje dane ruchu do modelu robota.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00068">Map3D.hpp:68</a></div></div>
<div class="ttc" id="aclass_map3_d_html_ac560249dab7296b25ef7ce2a25902d55"><div class="ttname"><a href="class_map3_d.html#ac560249dab7296b25ef7ce2a25902d55">Map3D::map_container</a></div><div class="ttdeci">QWidget * map_container</div><div class="ttdoc">Kontener na okno z grafiką</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00032">Map3D.hpp:32</a></div></div>
<div class="ttc" id="aclass_map3_d_html_ad29147f780b915a93ea20e2219ebde1d"><div class="ttname"><a href="class_map3_d.html#ad29147f780b915a93ea20e2219ebde1d">Map3D::returnRobotDistance</a></div><div class="ttdeci">double returnRobotDistance()</div><div class="ttdoc">Zwraca całkowitą odległość przebytą przez robota.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00091">Map3D.hpp:91</a></div></div>
<div class="ttc" id="aclass_map3_d_html_af1db43c016f502a56149a6fe3acdd365"><div class="ttname"><a href="class_map3_d.html#af1db43c016f502a56149a6fe3acdd365">Map3D::passMeasure</a></div><div class="ttdeci">void passMeasure(int new_measure, int index)</div><div class="ttdoc">Przekazuje robotowi odczyt z danego czujnika.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00076">Map3D.hpp:76</a></div></div>
<div class="ttc" id="aclass_viewer_html"><div class="ttname"><a href="class_viewer.html">Viewer</a></div><div class="ttdoc">Okno z modelami trójwymiarowymi.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8hpp_source.html#l00023">Viewer.hpp:24</a></div></div>
<div class="ttc" id="aclass_viewer_html_a2996edb66665ac972e036ee6b55608da"><div class="ttname"><a href="class_viewer.html#a2996edb66665ac972e036ee6b55608da">Viewer::returnRobotDistance</a></div><div class="ttdeci">double returnRobotDistance()</div><div class="ttdoc">Zwraca odległość przebytą przez robota.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8hpp_source.html#l00066">Viewer.hpp:66</a></div></div>
<div class="ttc" id="aclass_viewer_html_a37a4c731034836effceb714e30d12297"><div class="ttname"><a href="class_viewer.html#a37a4c731034836effceb714e30d12297">Viewer::moveRobot</a></div><div class="ttdeci">void moveRobot(int left, int right, int time_interval)</div><div class="ttdoc">Przekazuje dane ruchu do modelu robota.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8hpp_source.html#l00052">Viewer.hpp:52</a></div></div>
<div class="ttc" id="aclass_viewer_html_a6a232130dc19f5204dc8c30a11fe9c56"><div class="ttname"><a href="class_viewer.html#a6a232130dc19f5204dc8c30a11fe9c56">Viewer::passMeasure</a></div><div class="ttdeci">void passMeasure(int new_measure, int index)</div><div class="ttdoc">Przekazuje robotowi odczyt z danego czujnika.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8hpp_source.html#l00060">Viewer.hpp:60</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_map3_d_8hpp.html">Map3D.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
